Update repository
PATCH
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id*Repository IdFormat
uuidapplication/json- body
criticality?|nullenabled?boolean|nullSuccessful Response
application/json- response
archived*Archivedclone_url*string|nullconnection_id*|nullcriticality*Criticalitydefault_branch*Default Branchenabled*Enabledframeworks?array<string>Application frameworks the same audit found declared, such as "FastAPI" or "Next.js", most declared first.
Items
items <= 5id*IdFormat
uuidlanguages?array<>The main languages of the latest audit of the whole repository, largest first. Empty until such an audit has run.
Items
items <= 5name*Nameowner*Ownerprivate*Privateprovider*ProviderValue in
"github""gitlab""bitbucket"provider_repository_id*string|nullweb_url*string|nullworkspace_id*Workspace IdFormat
uuidcurl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "archived": true, "clone_url": "string", "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9", "criticality": 0, "default_branch": "string", "enabled": true, "frameworks": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "languages": [ { "name": "string", "share": 0 } ], "name": "string", "owner": "string", "private": true, "provider": "github", "provider_repository_id": "string", "web_url": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}